Name: hunspell-en
Summary: English hunspell dictionaries
%define upstreamid 20061130
Version: 0.%{upstreamid}
Release: 3%{?dist}
Source0: http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/en_US.zip
Source1: http://en-gb.pyxidium.co.uk/dictionary/en_GB.zip
Group: Applications/Text
URL: http://en-gb.pyxidium.co.uk/dictionary
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
License: LGPLv2+ and BSD
BuildArch: noarch

Requires: hunspell

%description
English (US, UK, etc.) hunspell dictionaries

%prep
%setup -q -c -n hunspell-en
unzip %{SOURCE1}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/myspell
chmod -x *
cp -p *.dic *.aff $RPM_BUILD_ROOT/%{_datadir}/myspell

pushd $RPM_BUILD_ROOT/%{_datadir}/myspell/
en_GB_aliases="en_AU en_BS en_BZ en_CA en_GH en_IE en_IN en_JM en_NA en_NZ en_TT en_ZA en_ZW"
for lang in $en_GB_aliases; do
	ln -s en_GB.aff $lang.aff
	ln -s en_GB.dic $lang.dic
done
en_US_aliases="en_PH"
for lang in $en_US_aliases; do
	ln -s en_US.aff $lang.aff
	ln -s en_US.dic $lang.dic
done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README_en_US.txt README_en_GB.txt
%{_datadir}/myspell/*

%changelog
* Mon Sep 17 2007 Caolan McNamara <caolanm@redhat.com> - 0.20061130-3
- new varient alias

* Thu Aug 09 2007 Caolan McNamara <caolanm@redhat.com> - 0.20061130-2
- clarify licence

* Fri Jun 01 2007 Caolan McNamara <caolanm@redhat.com> - 0.20061130-1
- update to latest dictionaries

* Thu Feb 08 2007 Caolan McNamara <caolanm@redhat.com> - 0.20040623-2
- update to new spec guidelines

* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 0.20040623-1
- initial version
